// detaildl.cpp : implementation file
//

#include "stdafx.h"
#include "diagno.h"
#include "detaildl.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDetailDlgx dialog


CDetailDlgx::CDetailDlgx(CWnd* pParent /*=NULL*/)
	: CDialog(CDetailDlgx::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDetailDlgx)
	m_b10 = "";
	m_b11 = "";
	m_b12 = "";
	m_b13 = "";
	m_b14 = "";
	m_b15 = "";
	m_b16 = "";
	m_b17 = "";
	m_b20 = "";
	m_b21 = "";
	m_b22 = "";
	m_b23 = "";
	m_b24 = "";
	m_b25 = "";
	m_b26 = "";
	m_b27 = "";
	m_b30 = "";
	m_b31 = "";
	m_b32 = "";
	m_b33 = "";
	m_b34 = "";
	m_b35 = "";
	m_b36 = "";
	m_b37 = "";
	m_showValue = "";
	//}}AFX_DATA_INIT
}

void CDetailDlgx::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDetailDlgx)
	DDX_Control(pDX, IDC_BIT11, m_Static11);
	DDX_Text(pDX, IDC_BIT10, m_b10);
	DDX_Text(pDX, IDC_BIT11, m_b11);
	DDX_Text(pDX, IDC_BIT12, m_b12);
	DDX_Text(pDX, IDC_BIT13, m_b13);
	DDX_Text(pDX, IDC_BIT14, m_b14);
	DDX_Text(pDX, IDC_BIT15, m_b15);
	DDX_Text(pDX, IDC_BIT16, m_b16);
	DDX_Text(pDX, IDC_BIT17, m_b17);
	DDX_Text(pDX, IDC_BIT20, m_b20);
	DDX_Text(pDX, IDC_BIT21, m_b21);
	DDX_Text(pDX, IDC_BIT22, m_b22);
	DDX_Text(pDX, IDC_BIT23, m_b23);
	DDX_Text(pDX, IDC_BIT24, m_b24);
	DDX_Text(pDX, IDC_BIT25, m_b25);
	DDX_Text(pDX, IDC_BIT26, m_b26);
	DDX_Text(pDX, IDC_BIT27, m_b27);
	DDX_Text(pDX, IDC_BIT30, m_b30);
	DDX_Text(pDX, IDC_BIT31, m_b31);
	DDX_Text(pDX, IDC_BIT32, m_b32);
	DDX_Text(pDX, IDC_BIT33, m_b33);
	DDX_Text(pDX, IDC_BIT34, m_b34);
	DDX_Text(pDX, IDC_BIT35, m_b35);
	DDX_Text(pDX, IDC_BIT36, m_b36);
	DDX_Text(pDX, IDC_BIT37, m_b37);
	DDX_Text(pDX, IDC_SHOWVALUE, m_showValue);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CDetailDlgx, CDialog)
	//{{AFX_MSG_MAP(CDetailDlgx)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CDetailDlgx message handlers

BOOL CDetailDlgx::OnInitDialog()
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	CenterWindow(); 
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}
